Subject: removing labels from old EPROMs

From: Jeff White <[email-masked]>
Date: Fri, 9 Jan 2015 22:02:10 -0500

What is the best way you have found to remove sticky labels from old EPROMs?  The labels seem to pull apart, and the glue residue is difficult to remove -- though I have not tried acetone or other chemicals readily available.  I would like to preserve the information printed on the EPROM.  I have sprayed down circuit boards with isopropanol to clean them, but some of the label adhesives are stubborn stuff.  UV erasure works best when the window is very clean.

Jeff White